package com.mortals.xhx.module.business.model;

import java.util.List;
import com.mortals.xhx.module.business.model.BusinessMatterEntity;
/**
 * 业务事项关联查询对象
 *
 * @author zxfei
 * @date 2022-01-20
 */
public class BusinessMatterQuery extends BusinessMatterEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 开始 业务id */
    private Long siteBusinessIdStart;

    /** 结束 业务id */
    private Long siteBusinessIdEnd;

    /** 增加 业务id */
    private Long siteBusinessIdIncrement;

    /** 业务id列表 */
    private List <Long> siteBusinessIdList;

    /** 业务名称 */
    private List<String> siteBusinessNameList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<BusinessMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<BusinessMatterQuery> andConditionList;

    public BusinessMatterQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }
    /**
     * 获取 开始 业务id
     * @return siteBusinessIdStart
     */
    public Long getSiteBusinessIdStart(){
        return this.siteBusinessIdStart;
    }

    /**
     * 设置 开始 业务id
     * @param siteBusinessIdStart
     */
    public void setSiteBusinessIdStart(Long siteBusinessIdStart){
        this.siteBusinessIdStart = siteBusinessIdStart;
    }

    /**
     * 获取 结束 业务id
     * @return $siteBusinessIdEnd
     */
    public Long getSiteBusinessIdEnd(){
        return this.siteBusinessIdEnd;
    }

    /**
     * 设置 结束 业务id
     * @param siteBusinessIdEnd
     */
    public void setSiteBusinessIdEnd(Long siteBusinessIdEnd){
        this.siteBusinessIdEnd = siteBusinessIdEnd;
    }

    /**
     * 获取 增加 业务id
     * @return siteBusinessIdIncrement
     */
    public Long getSiteBusinessIdIncrement(){
        return this.siteBusinessIdIncrement;
    }

    /**
     * 设置 增加 业务id
     * @param siteBusinessIdIncrement
     */
    public void setSiteBusinessIdIncrement(Long siteBusinessIdIncrement){
        this.siteBusinessIdIncrement = siteBusinessIdIncrement;
    }

    /**
     * 获取 业务id
     * @return siteBusinessIdList
     */
    public List<Long> getSiteBusinessIdList(){
        return this.siteBusinessIdList;
    }

    /**
     * 设置 业务id
     * @param siteBusinessIdList
     */
    public void setSiteBusinessIdList(List<Long> siteBusinessIdList){
        this.siteBusinessIdList = siteBusinessIdList;
    }

    /**
     * 获取 业务名称
     * @return siteBusinessNameList
     */
    public List<String> getSiteBusinessNameList(){
        return this.siteBusinessNameList;
    }

    /**
     * 设置 业务名称
     * @param siteBusinessNameList
     */
    public void setSiteBusinessNameList(List<String> siteBusinessNameList){
        this.siteBusinessNameList = siteBusinessNameList;
    }
    /**
     * 获取 开始 事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public BusinessMatterQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public BusinessMatterQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public BusinessMatterQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public BusinessMatterQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public BusinessMatterQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public BusinessMatterQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public BusinessMatterQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public BusinessMatterQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public BusinessMatterQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public BusinessMatterQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public BusinessMatterQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public BusinessMatterQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 设置  业务id
     * @param siteBusinessId
     */
    public BusinessMatterQuery siteBusinessId(Long siteBusinessId){
        setSiteBusinessId(siteBusinessId);
        return this;
    }

    /**
     * 设置 开始 业务id
     * @param siteBusinessIdStart
     */
    public BusinessMatterQuery siteBusinessIdStart(Long siteBusinessIdStart){
        this.siteBusinessIdStart = siteBusinessIdStart;
        return this;
    }

    /**
     * 设置 结束 业务id
     * @param siteBusinessIdEnd
     */
    public BusinessMatterQuery siteBusinessIdEnd(Long siteBusinessIdEnd){
        this.siteBusinessIdEnd = siteBusinessIdEnd;
        return this;
    }

    /**
     * 设置 增加 业务id
     * @param siteBusinessIdIncrement
     */
    public BusinessMatterQuery siteBusinessIdIncrement(Long siteBusinessIdIncrement){
        this.siteBusinessIdIncrement = siteBusinessIdIncrement;
        return this;
    }

    /**
     * 设置 业务id
     * @param siteBusinessIdList
     */
    public BusinessMatterQuery siteBusinessIdList(List<Long> siteBusinessIdList){
        this.siteBusinessIdList = siteBusinessIdList;
        return this;
    }


    /**
     * 设置 业务名称
     * @param siteBusinessName
     */
    public BusinessMatterQuery siteBusinessName(String siteBusinessName){
        setSiteBusinessName(siteBusinessName);
        return this;
    }

    /**
     * 设置 业务名称
     * @param siteBusinessNameList
     */
    public BusinessMatterQuery siteBusinessNameList(List<String> siteBusinessNameList){
        this.siteBusinessNameList = siteBusinessNameList;
        return this;
    }

    /**
     * 设置  事项id
     * @param matterId
     */
    public BusinessMatterQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public BusinessMatterQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public BusinessMatterQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public BusinessMatterQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public BusinessMatterQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public BusinessMatterQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public BusinessMatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public BusinessMatterQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public BusinessMatterQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public BusinessMatterQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public BusinessMatterQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public BusinessMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<BusinessMatterQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<BusinessMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<BusinessMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<BusinessMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}